Create a new transaction

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/back-office-online-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "New Back Office API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/back-office-online-api/mcp"
  }
}

Close
POST /transactions
application/json

Body Required

  • id string
  • clientId string
  • agentId string
  • amount number(double)
  • transactionDate string(date-time)
  • type string
  • status string

Responses

  • 201 application/json

    Transaction created

    Hide response attributes Show response attributes object
    • id string
    • clientId string
    • agentId string
    • amount number(double)
    • transactionDate string(date-time)
    • type string
    • status string
POST /transactions
curl \
 --request POST 'https://api.pre.lwolf.com/transactions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "id": "string",
  "clientId": "string",
  "agentId": "string",
  "amount": 42.0,
  "transactionDate": "2026-05-04T09:42:00Z",
  "type": "string",
  "status": "string"
}'
Request examples
{
  "id": "string",
  "clientId": "string",
  "agentId": "string",
  "amount": 42.0,
  "transactionDate": "2026-05-04T09:42:00Z",
  "type": "string",
  "status": "string"
}
Response examples (201)
{
  "id": "string",
  "clientId": "string",
  "agentId": "string",
  "amount": 42.0,
  "transactionDate": "2026-05-04T09:42:00Z",
  "type": "string",
  "status": "string"
}